Linux server issues.

Hello,

I am using Cent OS 5.x (Cant remember what version exactly) 64bit,

When I try to run a server I get this error in the console,

failed to dlopen xxxxx/orangebox/garrysmod/bin/server.so error=/lib/libc.so.6: version `GLIBC_2.7’ not found (required by xxxxxx/orangebox/garrysmod/bin/server.so)

Anyone know how to fix?

Thanks

Long story short, upgrade to CentOS 6, CentOS 5 has uses an outdated glibc and you won’t be able to run it unless you do some tinkering. But if you’re set on using CentOS 5 do what GranPC did in this post.

http://www.facepunch.com/threads/1136364?p=33035976&viewfull=1#post33035976

However this will break every update.